Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class GroovyDocWriter

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyDocWriter

    public class GroovyDocWriter
    extends java.lang.Object

Write GroovyDoc resources to destination.

Constructor Summary
`GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, java.util.Properties properties)`

Method Summary
`void` | `writeClassToOutput(GroovyClassDoc classDoc, java.lang.String destdir)`
`void` | `writeClasses(GroovyRootDoc rootDoc, java.lang.String destdir)`
`void` | `writePackageToOutput(GroovyPackageDoc packageDoc, java.lang.String destdir)`
`void` | `writePackages(GroovyRootDoc rootDoc, java.lang.String destdir)`
`void` | `writeRoot(GroovyRootDoc rootDoc, java.lang.String destdir)`
`void` | `writeRootDocToOutput(GroovyRootDoc rootDoc, java.lang.String destdir)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyDocWriter

    public GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, java.util.Properties properties)

Method Detail

### writeClassToOutput

    public void writeClassToOutput(GroovyClassDoc classDoc, java.lang.String destdir)

### writeClasses

    public void writeClasses(GroovyRootDoc rootDoc, java.lang.String destdir)

### writePackageToOutput

    public void writePackageToOutput(GroovyPackageDoc packageDoc, java.lang.String destdir)

### writePackages

    public void writePackages(GroovyRootDoc rootDoc, java.lang.String destdir)

### writeRoot

    public void writeRoot(GroovyRootDoc rootDoc, java.lang.String destdir)

### writeRootDocToOutput

    public void writeRootDocToOutput(GroovyRootDoc rootDoc, java.lang.String destdir)

Groovy Documentation